import { jsx } from "react/jsx-runtime";
import { WaveSawtooth as WaveSawtooth$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const WaveSawtooth = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "WaveSawtooth", ...props, children: /* @__PURE__ */ jsx(WaveSawtooth$1, { weight: variant }) });
  }
);
WaveSawtooth.displayName = "WaveSawtooth";
Object.assign(WaveSawtooth, { isGdsIcon: true });
export {
  WaveSawtooth
};
